echo off
echo Output being written to MainSQLPerf.log 
echo Individual files are:
echo    SQLPerfBatch.log; 
echo    SQLPerfRetry.log; 
echo    SimpleQuery.log 


echo Initiating SQLPerf Batch.... >> MainSQLPerf.log
Date /t >> MainSQLPerf.log
time < nul >> MainSQLPerf.log

:top
echo Executing SQLPerf MainLoop.... >> MainSQLPerf.log
Date /t >> MainSQLPerf.log 
time < nul >> MainSQLPerf.log
osql -E -S. -iSQLPerfBatch.sql  -b -n -l15 -t15 >>SQLPerfBatch.log
echo Errorlevel: %errorlevel% >> MainSQLPerf.log
if NOT ERRORLEVEL 80000 goto :FirstRetry
WAITFOR 30 
goto :top


:FirstRetry
rem Retrying First time, if success, then go back to top, else go to LastRetry
echo Executing First Retry, see MainSQLPerf.log and SQLPerfRetry.log for details
echo Failure SQLPerf, Retrying again at: >>MainSQLPerf.log
Date /t >> MainSQLPerf.log
time < nul >>MainSQLPerf.log
osql -E -S. -iSQLPerfBatch.sql  -b -n -l15 -t15 >>SQLPerfRetry.log
echo Errorlevel: %errorlevel% >> MainSQLPerf.log
if NOT ERRORLEVEL 80000 goto :LastRetry
goto :top

:LastRetry
rem Retrying Third(last) time, if success, then go back to top, else go to FirstRetry
echo Executing SimpleQuery Retry, see MainSQLPerf.log and SimpleQuery.log for details
echo Executing simple query at: >> MainSQLPerf.log
Date /t >>MainSQLPerf.log
time < nul >>MainSQLPerf.log
osql -E -S. -iSimpleQuery.sql  -b -n -l15 -t15  >>SimpleQuery.log
echo Errorlevel: %errorlevel% >>MainSQLPerf.log
if NOT ERRORLEVEL 90000 goto :FirstRetry
goto :top

